<?php
if ( ! isset( $content_width ) ) $content_width = 1042;
add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'custom-background', array( 'default-color' => '9cf' ) );
add_custom_background(); // depreciated in 3.4

function magomra_page_number( $sep = '|' ) {

}

function magomra_page_title( $sep = '|', $echo = true ) {
	$ssep = ' ' . $sep . ' ';
// get special index page type (if any)
	if( is_category() ) $insert = $ssep . 'Category';
	elseif( is_tag() ) $insert = $ssep . 'Tag';
	elseif( is_author() ) $insert = $ssep . 'Author';
	elseif( is_year() || is_month() || is_day() ) $insert = $ssep . 'Archives';
	else $insert = null;

// get the page number (if any)
	if( get_query_var( 'paged' ) )
		$num = $ssep . get_query_var( 'paged' );
	else $num = null;

// concoct title
	$title = bloginfo( 'name' ) . $insert . wp_title( $sep, false ) . $num;

//return or echo
	if( $echo ) echo $title;
	else return $title;
}


function magomra_register_sidebar(){
// registers the dynamic sidebar
	$args = array(
		'name'          => 'Main Sidebar',
		'id'            => 'main_sidebar',
		'description'   => 'The main sidebar.',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget'  => '</li>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>' 
	);
	
	register_sidebar( $args );
}

function magomra_register_nav_menu(){
	register_nav_menu( 'navigation_menu', 'Navigation Menu' );
}

function magomra_nav_menu(){
	$args = array(
		'theme_location'  => 'navigation_menu',
		'container'       => false,
		'menu_class'      => 'menu', 
		'echo'            => true,
		'fallback_cb'     => 'wp_page_menu',
		'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
		'depth'           => 1,
	);
	
	wp_nav_menu( $args );
}

function magomra_custom_comments( $comment, $args, $depth ) {
// list comments callback
	$GLOBALS['comment'] = $comment;
	$GLOBALS['comment_depth'] = $depth;
?>
		<li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
			<div class="comment-author"><?php magomra_commenter_link() ?></div>
			<div class="comment-meta"><?php printf( 'Posted %1$s at %2$s <span class="meta-sep">|</span> <a href="%3$s" title="Permalink to this comment">Permalink</a>',
				get_comment_date(),
				get_comment_time(),
				'#comment-' . get_comment_ID() 
			);
              
				edit_comment_link( 'Edit', ' | <span class="edit-link">', '</span>'); ?></div>

<?php 
	if ( $comment->comment_approved == '0' ) echo '<span class="unapproved">Your comment is awaiting moderation.</span>'; ?>
		<div class="comment-content">
			<?php comment_text(); ?>
        </div>
		
        <?php // echo the comment reply link
            if( $args['type'] == 'all' || get_comment_type() == 'comment' ) :
                comment_reply_link( array_merge( $args, array(
                    'reply_text' => 'Reply',
                    'login_text' => 'Log in to reply.',
                    'depth' => $depth,
                    'before' => '<div class="comment-reply-link">',
                    'after' => '</div>'
                ) ) ); endif; 
}
				
// custom callback to list magomra pings
function magomra_custom_pings( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
?>

			<li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
				<div class="comment-author"><?php printf( 'By %1$s on %2$s at %3$s',
						get_comment_author_link(),
						get_comment_date(),
						get_comment_time() 
					);
					
                        edit_comment_link( 'Edit', ' | <span class="edit-link">', '</span>' ); ?></div>
    <?php if( $comment->comment_approved == '0' ) echo '<span class="unapproved">Your trackback is awaiting moderation.</span>'; ?>
            <div class="comment-content">
                <?php comment_text(); ?>
            </div>
<?php }

function magomra_commenter_link() {
	$commenter = get_comment_author_link();
	if( ereg( '<a[^>]* class=[^>]+>', $commenter ) ) {
        $commenter = ereg_replace( '(<a[^>]* class=[\'"]?)', '\\1url ' , $commenter );
    } else {
        $commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );
    }
    $avatar_email = get_comment_author_email();
    $avatar = str_replace( 'class="avatar', 'class="photo avatar', get_avatar( $avatar_email, 80 ) ); // DOUBLE CHECK THIS
    echo $avatar . ' <span class="comment-author">' . $commenter . '</span>';
}

add_action( 'init', 'magomra_register_sidebar' );
add_action( 'init', 'magomra_register_nav_menu' );

?>